##### 7.5.4.0. bernsteinLift

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  bernsteinLift(I, F [,eng]); I an ideal, F a poly, eng an optional int

Return:
  list

Purpose:
  compute the (multiple of) Bernstein-Sato polynomial with lift-like method,
  based on the output of Sannfs-like procedure

Note:
  the output list contains the roots with multiplicities of the candidate
  for being Bernstein-Sato polynomial of f.
  If eng <>0, `std` is used for Groebner basis computations,
  otherwise and by default `slimgb` is used.
  If printlevel=1, progress debug messages will be printed,
  if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "dmod.lib";
    ring r = 0,(x,y,z),Dp;
    poly F = x^3+y^3+z^3;
    printlevel = 0;
    def A = Sannfs(F);   setring A;
    LD;
    ==> LD[1]=z^2*Dy-y^2*Dz
    ==> LD[2]=x*Dx+y*Dy+z*Dz-3*s
    ==> LD[3]=z^2*Dx-x^2*Dz
    ==> LD[4]=y^2*Dx-x^2*Dy
    poly F = imap(r,F);
    list L  = bernsteinLift(LD,F); L;
    ==> [1]:
    ==>    _[1]=-2
    ==>    _[2]=-4/3
    ==>    _[3]=-5/3
    ==>    _[4]=-1
    ==> [2]:
    ==>    1,1,1,2
    poly bs = fl2poly(L,"s"); bs; // the candidate for Bernstein-Sato polynomial
    ==> s^5+7*s^4+173/9*s^3+233/9*s^2+154/9*s+40/9

User manual for Singular version 4.4.1, 2025, generated by texi2html.